/* Plik z stylami do napisywania styli szablonu */

/* GLOBALNE */
img {
    width: 100%;
    height: auto;
}

/* Strona wyszukiwarki */
.wbt-search-header {
    margin-top: 2em;
}

/* ## TOP ## */

/* menu lang i kontakt */
#wbt-contact-lang-wrap {
    width: var(--container-top-width);
    margin: var(--container-align);
    display: flex;
    justify-content: flex-end;
}

/* telefon i maila */
.wbt-contact-menu {
    margin: 0;
    padding: 15px 30px;
    background-color: var(--color-3);
}

.wbt-contact-menu a {
    color: var(--default-color-link-content-href);
    transition: var(--transition);
}

.wbt-contact-menu a:hover {
    color: var(--default-color-link-content-href-hover);
}

/* wersje językowe */
#wbt-lang {
    margin: 0;
    padding: 15px 30px;
    display: flex;
    column-gap: 10px;
    justify-content: center;
    align-items: center;
    background-color: var(--color-4);
}

/* lista flag - nagłówek */
#wbt-lang>dt {
    margin-right: 5px;
}

/* lista flag */
#wbt-lang>dd {
    position: relative;
    margin: 0;
    width: 23px;
    height: 18px;
}

/* lista flag - aktualna/aktywna flaga wyszarzona */
#wbt-lang>dd.wbt-active {
    filter: grayscale(1);
}

/* lista flag - flagi SVG */
/* Polska */
#wbt-lang>dd[aria-label="PL"] {
    background: url(../img/lang/pl.svg) center center no-repeat;
}

/* Angielska */
#wbt-lang>dd[aria-label="EN"] {
    background: url(../img/lang/gb.svg) center center no-repeat;
}

/* Hiszpańska */
#wbt-lang>dd[aria-label="ES"] {
    background: url(../img/lang/es.svg) center center no-repeat;
}

/* Niemiecka */
#wbt-lang>dd[aria-label="DE"] {
    background: url(../img/lang/de.svg) center center no-repeat;
}

/* Tooltip po najechaniu na flagi */
/* Tooltip text */
#wbt-lang>dd .tooltip {
    visibility: hidden;
    background-color: black;
    color: var(--color-5);
    text-align: center;
    padding: 5px;

    /* Position the tooltip text - see examples below! */
    position: absolute;
    top: 25px;
    right: 5px;
    z-index: 1;
}

/* Show the tooltip text when you mouse over the tooltip container */
#wbt-lang>dd:hover .tooltip {
    visibility: visible;
}

#wbt-lang>dd .tooltip::after {
    content: " ";
    position: absolute;
    bottom: 100%;
    /* At the top of the tooltip */
    right: 5px;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: transparent transparent black transparent;
}

/* ## BANER ## */
/* tło */
.wbt-home-baner {
    background: url("../img/custom/bgr-baner.png") left center no-repeat;
}
.wbt-home-baner :is(p, strong, em, H2, H3){
    margin-block: 0;
    padding: 0;
}
.wbt-home-baner .baner-price {
    line-height: 0.7;
}
.wbt-home-baner em {
    font-size: 1rem;
}

.wbt-home-baner a {
    margin-block-start: 2vw;
}

.wbt-home-baner div:nth-child(2) {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    align-content: center;
}

/* kolumny z treścią banera */

/* kolumna 1 */
.wbt-baner-column div:first-of-type p {
    margin: 0;
    text-align: center;
}

.wbt-baner-column p strong {
    font-weight: 900;
}

.wbt-baner-column div.is-layout-constrained {
    margin-top: 90px;
    margin-left: 150px
}

/* kolumna 2 */
.wbt-baner-column div:last-of-type {
    color: var(--color-5);
}

/* NAGŁÓWKI I PODPISY POD NAGŁÓWKAMI H2 */
h2.wbt-nag {
    margin-bottom: 0;
}

h2.wbt-nag+p {
    font-weight: 300;
    margin: 0 0 25px 40px;
}

h2.wbt-blue-nag{
    margin: 0 0 1em;
    padding: 1em;
    color: var(--color-5);
    background-color: var(--color-2);
}

/* Kafelki z okresem najmu - oferty */
.wbt-tiles-offer>div {
    position: relative;
    padding: 2vh 10px 5vh;
    background-color: var(--color-4);
    transition: var(--transition);
}

/* Do sprawdzenia rozróżnienie szerokości według kontenera :: https://developer.mozilla.org/en-US/docs/Web/CSS/@container */
.wbt-tiles-offer>div::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 150px;
    background: url(../img/custom/curve-box-offer.svg) bottom center no-repeat;
}

/* oferta specjalna */
.wbt-tiles-offer>div.wbt-special {
    border-bottom-color: var(--color-2);
}

.wbt-tiles-offer>div.wbt-special::after {
    background: url(../img/custom/curve-box-offer-special.svg) bottom center no-repeat;
}

.wbt-tiles-offer>div:hover {
    background-color: var(--color-1);
}

.wbt-tiles-offer>div:hover::after {
    background: url(../img/custom/curve-box-offer-hover.svg) bottom center no-repeat;
}

/* treść w box */
.wbt-tiles-offer>div :is(p, em, strong) {
    margin: 0;
    font-size: 1.313rem;
    line-height: 1;
    text-align: center;
}

.wbt-tiles-offer>div p>em {
    margin: 0;
    font-style: normal;
    font-size: 0.875rem;
}

/* ikonka auta */
.wbt-tiles-offer>div p:first-of-type::before {
    content: '';
    display: block;
    margin: 0 auto 10px;
    width: 50px;
    height: 34px;
    background: url(../img/custom/ico-car.svg) center center no-repeat;

}

/* po najechaniu */
.wbt-tiles-offer>div:hover :is(p, em, strong) {
    color: var(--color-5);
}

.wbt-tiles-offer>div:hover p:first-of-type::before {
    filter: invert(1);
}

/* link na cały kafelek */
.wbt-tiles-offer > div p :is(a),
.wbt-tiles-offer > div p#oferta-specjalna {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    z-index: 2;
    font-size: 0;
    cursor: pointer;
}

/* ## LISTA AUTO DO WYNAJĘCIA ## */

/* kontener całej siatki */
.wbt-grid-list-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: auto;
    gap: 1.5em;
    align-items: start;
}

/* element pojedynczy siatki */
.wbt-grid-elem * {
    margin: 0;
    padding: 0;
}

.wbt-grid-elem {
    box-sizing: border-box;
    height: 100%;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(5, auto);
    grid-row-gap: 2rem;
    border: solid 1px var(--color-3);
    transition: var(--transition);
}
.wbt-grid-elem:hover {
    box-shadow: 0px 0px 15px rgb(0, 0, 0, 0.3);
}

/* kategoria */
.wbt-category-name {
    grid-area: 1 / 1 / 2 / 5;
    margin-top: 1em;
    line-height: 1;
    font-size: 1.75rem;
    font-weight: 700;
    color: var(--color-1);
    text-align: center;
}

/* opis kategorii */
.wbt-category-desc {
    grid-area: 2 / 1 / 3 / 5;
}

.wbt-category-desc>p:first-of-type {
    text-decoration: underline;
    font-style: normal;
}

.wbt-category-desc>p {
    padding: 0 2em;
    text-align: center;
}


/* kontener na zdjęcie */
.wbt-featured-media {
    width: 100%;
    height: 150px;
    grid-area: 3 / 1 / 4 / 5;
    display: inline-flex;
    align-items: flex-end;
    justify-content: center;
}

/* zdjęcie */
.wbt-featured-media>img {
    max-height: 150px;
    width: auto;
    max-width: 80%;
}

/* cena */
.wbt-price {
    grid-area: 4 / 1 / 5 / 3;
    padding-right: 0.5em;
    display: flex;
    justify-content: flex-start;
    align-content: flex-end;
    text-align: right;
    flex-direction: column;
    font-size: clamp(1.45rem, 4vw, 1.75rem);
    font-weight: 700;
    line-height: 1;
}

.wbt-price>span {
    font-size: 0.875rem;
    font-weight: normal;
}

/* przycisk zobacz więcej */
.wbt-list-button {
    grid-area: 4 / 3 / 5 / 5;
    text-align: right;
    line-height: 3em;
}

.wbt-list-button a::after {
    display: inline-block;
    content: ' \27A7';
    width: 5px;
    height: 10px;
    margin-left: 10px;
}

/* ikonki */
.wbt-list-ico {
    grid-area: 5 / 1 / 6 / 5;
    display: flex;
    justify-content: space-around;
    list-style: none;
    margin-bottom: 0.7em;
    padding: 0;
}

.wbt-list-ico li {
    display: flex;
    align-items: center;
    gap: 0.2em;
}

.wbt-list-ico li>img {
    width: 30px;
    height: 30px;
}

/* ## W CENIE AUTA OTRZYMUJESZ */
.wbt-in-car-price figure {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: end;
}

.wbt-in-car-price figure:hover>img {
    filter: invert(79%) sepia(16%) saturate(1855%) hue-rotate(18deg) brightness(96%) contrast(78%);
}

/* ikonka */
.wbt-in-car-price figure>img {
    height: 50px;
    max-width: 50px;
    transition: var(--transition);
}

.wbt-in-car-price figure>figcaption {
    font-size: 1rem;
    text-align: center;
}

/* OFERTA SPECJALNA */
.special-element {
    display: grid !important;
    /*!importan jest aby wymusić układ nadpisany przez Slick*/
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr;
    column-gap: 2%;
}

/* Kolumna lewa */
.wbt-col-left,
.wbt-col-right {
    display: flex;
    flex-direction: column;
}

/* Kolumna prawaw */

/* Nazwa auta */
.wbt-col-right>h3 {
    font-size: clamp(1.35rem, 4vw, 1.75rem);
    font-weight: 700;
    color: var(--color-2);
    text-align: center;
}

/* Rok produkcji */
.wbt-col-right>p {
    text-align: center;
    margin-block-end: 2.2rem;
}

/* Kolumna prawa - harmonijka */
.wbt-col-right ul.wbt-harmo-list {
    padding: 0;
    list-style: none;
}

/* element listy harmonijki */
.wbt-col-right ul.wbt-harmo-list li {
    box-sizing: border-box;
    padding: 11px;
    border-top: solid 1px #bbb;
}

.wbt-col-right ul.wbt-harmo-list li:last-child {
    border-bottom: solid 1px #bbb;
}

/* Kolumna lewa */

/* Slogan Oferta specjalna */
.wbt-col-left>h3 {
    font-size: clamp(1.35rem, 4vw, 1.75rem);
    color: var(--color-5);
    background-color: var(--color-2);
    padding: 0.2em 0.7em;
    margin-block-end: -1.5em;
    z-index: 9;
}

/* Kolumna lewa - Ikonki w Ramach pakietu */
.wbt-col-left-ico-section {
    margin-bottom: 1rem;
    display: flex;
    align-items: center;
    border-bottom: solid 5px var(--color-2);
}

.wbt-col-left-ico-section p {
    padding-left: 25px;
    flex-basis: 50%;
    text-transform: uppercase;
    font-weight: 700;
}

.wbt-col-left-ico-section>ul {
    width: 100%;
    padding: 0;
    list-style: none;
    display: flex;
    align-items: center;
    justify-content: space-around;
}

/* ikonki */
.wbt-col-left-ico-section li img {
    width: 30px;
    height: auto;
}

/* demek z napisami */
.wbt-col-left-ico-section li a {
    position: relative;
    display: block;
}

.wbt-col-left-ico-section li a>span {
    display: block;
    position: absolute;
    top: 140%;
    width: 0;
    height: 0;
    line-height: 0;
    overflow: hidden;
    transform: translateX(-40%);
    color: #000;
    font-size: 0.85rem;
    transition: var(--transition);
}

.wbt-col-left-ico-section li a:hover>span {
    display: block;
    padding: 5px;
    width: fit-content;
    white-space: nowrap;
    height: auto;
    line-height: 1.2;
    border: solid 1px #bbb;
    background-color: #fff;
}


/* STYLE DOMYŚLNE CONTACT FORM 7 */

/* FLEX ustawienia */

/* Flex */
.wbt-flex {
    display: flex;
    flex-direction: row;
    gap: 5px;
    margin-block-end: 5px;
}

.wbt-flex-form {
    display: flex;
    flex-direction: row;
    gap: 2%;
    margin-block-end: 5px;
}

.wbt-flex p:first-child {
    flex-grow: 2;
}

.wbt-flex span[class$="radio"] {
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
}

#wbt-text-content .wbt-flex *,
.wbt-flex .wpcf7-list-item {
    margin: 0;
}

/* GRID - section first */
.wbt-section-first {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(3, auto);
    grid-column-gap: 2%;
    grid-row-gap: 2%;
    background-color: var(--color-2);
    padding: 40px 24px;
}

.wbt-section-first>* {
    padding: 0;
    margin: 0;
    color: var(--color-5);
}

.wbt-cf7-nag-1 {
    grid-area: 1 / 1 / 2 / 2;
}

.wbt-cf7-nag-2 {
    grid-area: 1 / 2 / 2 / 3;
}

.wbt-cf7-nag-1,
.wbt-cf7-nag-2 {
    font-size: clamp(1rem, 1.8vw, 1.3125rem);
    font-weight: 600;
}

.wbt-col-1 {
    grid-area: 2 / 1 / 3 / 2;
}

.wbt-col-2 {
    grid-area: 2 / 2 / 3 / 3;
}

.wbt-col-1>p,
.wbt-col-2>p {
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
}

/* ukrywam wszystkie wstawione przez CF7 <br /> */
.wbt-col-1>p>br,
.wbt-col-2>p>br {
    display: none;
}

.wbt-col-1>p>span:nth-of-type(1),
.wbt-col-2>p>span:nth-of-type(1) {
    width: 100%;
}

.wbt-col-1>p>label.label-hidden-pc,
.wbt-col-2>p>label.label-hidden-pc {
    width: calc(50% - 2.5px);
}

.wbt-full-row {
    grid-area: 3 / 1 / 4 / 3;
}

.wbt-full-row>span:last-of-type {
    display: inline-block;
    padding: 1rem;
    opacity: 50%;
    font-size: 0.812rem;
}

/* OFERTA SPECJALNA */

/* ## Wartość oferty specjalnej */
.special-value-wrap {
    margin: 0;
    padding-block: 13px;
    flex-grow: 2;
    box-sizing: border-box;
    height: fit-content;
    width: calc(100% - 2px);
    font-size: 1.312rem;
    font-weight: 600;
    text-align: center;
    border: solid 1px #bbb;
}
.special-value-wrap > br {
    display: none;
}

/* Przycisk wyślij zapytanie */
.special-value-wrap+p input[type="submit"] {
    width: 100%;
}

/* ## RADIO - oferta specjalna*/

/* ukrywamy radio */
.wbt-col-left-form input[type="radio"] {
    display: none;
}

/* domyślny style dla label który jest z radio */
.wbt-col-left-form input[type="radio"]+span {
    display: flex;
    padding: 10px;
    min-width: 87px;
    border: solid 1px var(--color-1);
    cursor: pointer;
    transition: var(--transition);
}

/* aktywny label - czyli zaznaczone radio */
.wbt-col-left-form input[type="radio"]:checked+span {
    background-color: var(--color-1);
    color: #fff;
}

/* radio - szczegóły auta */
/* domyślny style dla label który jest z radio */
#wbt-body .wbt-chose-pakiet input[type="radio"] {
    display: block;
    margin-inline: auto;
    appearance: none;
    width: 28px;
    height: 28px;
    border: solid 1px #b4bf35;
    border-radius: 50%;
    background-clip: content-box;
    padding: 3px;
    cursor: pointer;
    transition: var(--transition);
}

#wbt-body .wbt-chose-pakiet input[type="radio"]:checked {
    background-color: #b4bf35;
}

.wbt-chose-pakiet input[type="radio"]+span {
    display: block;
    padding: 10px;
    text-align: center;
    font-size: 1.3125rem;
    font-weight: 700;
    cursor: pointer;
    transition: var(--transition);
}

/* ## INPUTY */
.wbt-flex>p>span>input {
    padding: 10px !important;
    width: 100%;
    color: #000;
    font-size: initial;
}

/* globalne wymuszenie szerokości aby dopasowywały się do kontenerów */
.wpcf7-form-control {
    width: 100%;
    /* width: -moz-available; */
    /* WebKit-based browsers will ignore this. */
    /* width: -webkit-fill-available; */
    /* Mozilla-based browsers will ignore this. */
    /* width: fill-available; */
}

/* tekst ostrzezeń CF7*/
#wbt-content .wpcf7-not-valid-tip {
    font-size: 0.812rem;
    font-style: italic;
}

/* RODO - checkbox opis */
.wbt-rodo label span {
    font-size: 0.85rem;
}

#pakiety {
    display: flex;
    flex: 1;
    gap: 2%;
    flex-wrap: nowrap;
}

/* kontenera pakietu */
#pakiety>span {
    position: relative;
    box-sizing: border-box;
    padding: 15px 10px;
    margin: 0;
    width: 100%;
    background: url(../img/custom/curve-box-offer.svg) bottom center no-repeat var(--color-4);
}

#pakiety>span:nth-last-of-type(2) {
    background-color: var(--color-1);
    color: var(--color-5);
}

/* opis pakietów */
#pakiety>span label+div {
    min-height: 200px;
    font-size: 0.875rem;
    line-height: 1.1;
}

#pakiety>span div p {
    text-align: center;
}

/* cena pakietu */
#pakiety>span label+div>div {
    position: absolute;
    margin-top: 1em;
    bottom: 2.8rem;
    left: 0;
    width: 100%;
    margin-inline: auto;
    font-size: 1.3125rem;
    font-weight: 600;
    text-align: center;
}

#pakiety>span label+div>div p {
    margin: 0;
    line-height: 0.8;
}

/* liczba dni pod ceną pakietu */
.count-days {
    margin: 0;
    font-size: 0.8rem;
    font-weight: 300;
}

/* opcje dodatkowe */
.wbt-flex-form.add-options>p {
    width: 100%;
    margin-block: 0.5rem;
}

#wbt-body .add-options p>label {
    margin-bottom: 0.3rem;
    font-size: 0.875rem;
}

#wbt-body .add-options p>label input {
    background-color: var(--color-4);
}

/* mycie przy zworcie */
#wbt-body .add-options p:last-of-type>label>span {
    box-sizing: border-box;
    padding: 0.75rem;
    width: 100%;
    display: inline-block;
    background-color: var(--color-4);
    border: solid 1px #333;
}

/* dane osobowe */
.wbt-flex-personal-data>p {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 5px;
    margin-block-end: 5px;
}

/* ukrycie <br /> dodawanych przez CF7 */
.wbt-flex-personal-data>p>br {
    display: none;
}

.wbt-flex-personal-data .wpcf7-form-control-wrap {
    box-sizing: border-box;
    width: calc(25% - 4px);
}

/* dane do faktury */
#wbt-body .wbt-flex-personal-data-vat p>label {
    margin-bottom: 0.3rem;
    padding-left: 1rem;
    font-size: 0.875rem;
}

.wbt-flex-personal-data-vat {
    display: flex;
    justify-content: space-between;
}

.wbt-flex-personal-data-vat div:last-of-type {
    flex-basis: 450px;
    display: none;
}

.wbt-flex-personal-data-vat div.invoice-ture {
    display: block;
}

.wbt-flex-personal-data-vat div:last-of-type>p {
    display: flex;
    gap: 5px;
    flex-wrap: wrap;
    justify-content: flex-end;
}

.wbt-flex-personal-data-vat div:last-of-type>p>br {
    display: none;
}

.wbt-flex-personal-data-vat div:last-of-type>p>span {
    box-sizing: border-box;
}

.wbt-flex-personal-data-vat div:last-of-type>p>span:nth-of-type(1),
.wbt-flex-personal-data-vat div:last-of-type>p>span:nth-of-type(2) {
    width: calc(50% - 2.5px);
}

.wbt-flex-personal-data-vat div:last-of-type>p>span:nth-of-type(3) {
    width: 100%;
}

/* zgody rodo */
.rodo-acceptance {
    border-top: solid 1px var(--color-4);
}

.rodo-acceptance p>br {
    display: none;
}

.rodo-acceptance p>span {
    display: block;
    margin-bottom: 1rem;
}

.rodo-acceptance p * span {
    font-size: 0.875rem;
}

/* przycisk wyślij */
.rodo-acceptance+p {
    margin-block-start: 2rem;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

/* przycisk wyslij - stron długoterminowy i oferta specjalna */
#rent-car{
    margin: 0;
}

/* STYLE DOMYŚLNE DLA SLICKA - style webtec */
/* Kropki */
#wbt-body .slick-dots li button:before {
    font-size: 1rem;
    color: var(--color-2);
}

#wbt-body .slick-dots li.slick-active button:before {
    color: var(--default-color-link-content-href-hover);
}

/* Strzałki */
#wbt-body :is(.slick-next, .slick-prev) {
    color: var(--default-color-link-content-href-hover);
}

#wbt-body .slick-next:before,
#wbt-body .slick-prev:before {
    color: unset;
}

/* FAQ oraz Oferta specjalna - HARMONIJKI */

/* Nagłowek harmonijki */
.wbt-accordion-faq>div h4,
.wbt-harmo-wrap>h4 {
    padding: 15px 10px;
    margin-bottom: 10px;
    background-color: #bbbbbb;
    color: var(--color-5);
    cursor: pointer;
    transition: var(--transition);
}

.wbt-accordion-faq>div h4::before,
.wbt-harmo-wrap>h4::before {
    content: '';
    display: inline-block;
    margin-right: 10px;
    width: 17px;
    height: 10px;
    background: url(../img/arrow-bottom.svg) center center no-repeat;
    filter: invert(1);
    transition: var(--transition);
}

/* nagłówek po najechaniu / aktywny */
.wbt-accordion-faq>div h4.active,
.wbt-accordion-faq>div h4:hover,
.wbt-harmo-wrap>h4.active,
.wbt-harmo-wrap>h4:hover {
    background-color: var(--color-1);
}

.wbt-accordion-faq>div h4.active::before,
.wbt-harmo-wrap>h4.active::before {
    transform: rotate(180deg);
}

/* ukrycie wszystkich treści pod nagłówkiem */
.wbt-accordion-faq>div h4~*,
.wbt-harmo-wrap>h4~* {
    display: none;
    overflow: hidden;
    padding: 0 1rem 2rem;
}

/* SLOGAN - nad stopką */
#wbt-text-content h3.wbt-slogan-cta {
    font-size: clamp(1.142rem, 2vw, 1.5rem);
}

/* FOOTER */
/* odstęp między kolumnami w treści */
#wbt-footer-widget .wbt-col-footer>div {
    gap: 1.5rem;
    margin: 0;
}

/* zdjęcie */
#wbt-footer-widget .wbt-col-footer>div figure {
    margin: 0;
}

/* nagłówek */
#wbt-footer-widget .wbt-col-footer>p:first-of-type {
    margin-bottom: 10px;
    margin-top: 0;
    font-size: 0.937rem;
    font-weight: 600;
    text-transform: uppercase;
}

#wbt-footer-widget .wbt-col-footer ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

/* imię */
#wbt-footer-widget .wbt-col-footer ul li:first-of-type {
    font-size: 1rem;
}

/* telefon */
#wbt-footer-widget .wbt-col-footer ul li:nth-of-type(2) {
    font-size: 1.313rem;
    font-weight: 700;
}

/* e-mail */
#wbt-footer-widget .wbt-col-footer ul li:nth-of-type(3) {
    font-size: 0.814rem;
    font-weight: 300;
}


/* ### PODSTRONY ### */
h1.wbt-title::after,
h1.wbt-title::before {
    display: none;
}

h1.wbt-title {
    margin-top: 1.5em;
    text-transform: uppercase;
}

h1.wbt-title.flex {
    display: flex;
    justify-content: space-between;
    align-items: center;

}
h1.wbt-title.flex > a {
    padding: 1em;
    color: var(--default-button-submit-text-color);
    background-color: var(--color-2);
    border: var(--color-2);
    font-size: 1rem;
    font-weight: normal;
    text-align: center;
    text-transform: uppercase;
    line-height: normal;
    transition: 0.5s;
}

h1.wbt-title.flex > a:hover {
    background-color: var(--default-button-submit-hover-background);
    border-color: var(--default-button-submit-hover-background);
}


/* Wynajem na miesiące i lata */

/* kafelki */
.wbt-tiels {
    position: absolute;
    box-sizing: border-box;
    padding: 3.5em 1em 0;
    bottom: 0;
    left: 0;
    width: 100%;
    min-height: 150px;
}

.wbt-tiels {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' width='384px' height='150px'%3E%3Cpath fill-rule='evenodd' fill='rgb(241, 241, 241)' d='M-0.000,11.1000 L115.1000,36.1000 L383.1000,-0.000 L383.1000,150.000 L-0.000,150.000 L-0.000,11.1000 Z'/%3E%3C/svg%3E");
    transition: var(--transition);
}

:is([class*="warto-col-"]):hover>div {
    border-bottom: solid 5px var(--color-2);
}

.wbt-tiels p {
    margin: 0;
    font-size: 1.313rem;
    line-height: 1;
}

.wbt-tiels p>em {
    margin: 0;
    font-style: normal;
    font-size: 0.875rem;
}

:is([class*="warto-col-"]) {
    position: relative;
    min-height: 287px;
}

/* kolumna 1 */
.warto-col-1 {
    background: url(../img/custom/szeroki_wybor_s.jpg) top center no-repeat;
    background-size: cover;
}

/* kolumna 2 */
.warto-col-2 {
    background: url(../img/custom/przewidywalne_koszty_s.jpg) top center no-repeat;
    background-size: cover;
}

/* kolumna 3 */
.warto-col-3 {
    background: url(../img/custom/brak_ryzyka_s.jpg) top center no-repeat;
    background-size: cover;
}

/* CTA */
.wbt-cta {
    margin-top: 4.5vh;
    padding: 1vh 2vh;
    outline: solid 1px var(--color-1);
    outline-offset: -1px;
}

.wbt-cta * {
    margin: 0;
}

/* # MODUŁ AUTA DOSTĘPNE OD RĘKI - lista */
.wbt-grid-elem.byhand {
    position: relative;
    border-color: #000;
}

.wbt-car-name {
    grid-area: 1 / 1 / 2 / 5;
    margin-top: 0;
    padding-block: 0.47em;
    line-height: 1.25;
    color: var(--color-5);
    text-align: center;
    background-color:var(--color-2);
}

.byhand .wbt-car-name {
    position: absolute;
    width: 100%;
}

.wbt-car-name>h3 {
    font-size: 1.3rem;
    font-weight: 600;
}

.wbt-car-name>span {
    font-size: initial;
    font-weight: normal;
}

/* zdjecie auta */
.byhand .wbt-featured-media {
    height: auto;
    max-height: 255px;
}

.byhand .wbt-featured-media>img {
    width: 100%;
    max-width: unset;
    height: auto;
    max-height: unset;
}

/* przycisk */
#wbt-body .byhand a.button {
    background-color: var(--color-2);
    border-color: var(--color-2);
    transform: var(--transition);
}

#wbt-body .byhand a.button:hover {
    background-color: var(--default-button-submit-hover-background);
    border-color: var(--default-button-submit-hover-background);
}

/* ##  SZCZEGÓŁY AUTA ## */
#wbt-content.car-details {
    flex-wrap: nowrap;
    gap: 2%;
    margin-top: 2rem;
}

#wbt-content>div {
    padding: 30px 10px;
    flex-basis: 384px;
    min-width: 384px;
    box-sizing: border-box;
    border: solid 1px var(--color-3);
}

.wbt-sticky{
    position: sticky;
    top: 150px;
}

#wbt-content>article {
    flex-basis: 100%;
}

/* kolumna lewa - treści */

/* tytu */
#wbt-content>div .wbt-title-list {
    font-weight: 700;
}

/* cena */
#wbt-content>div :is(.wbt-price, #price) {
    display: inline-block;
    margin-top: 0.5rem;
    font-size: clamp(1.45rem, 4vw, 1.75rem);
    font-weight: 700;
    text-align: left;
    color: var(--color-1);
}

#wbt-content>div .wbt-price>span {
    color: initial;
}

/* zdjęcie główne */
.car-details .wbt-featured-media-car {
    margin-block: 2rem;
    text-align: center;
}

.car-details .wbt-featured-media-car img {
    width: 80%;
}

/* nagłówki cennika */
h3.calc-nag {
    padding-top: 0.5rem;
    font-size: clamp(1.1rem, 2.5vw, 1.3125rem);
    font-weight: 500;
    border-top: solid 1px #bbbbbb;
}

/* listy UL */
.car-details>div ul {
    list-style: none;
    padding: 0;
}

.car-details>div ul>li {
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-between;
    margin-block: 0.7rem;
    font-size: 0.875rem;
}

.car-details>div ul>li span {
    display: inline-block;
    padding-block: 5px;
}

.car-details>div ul>li span:last-of-type {
    min-width: 60px;
    max-height: 17px;
    padding-inline: 10px;
    text-align: right;
    background-color: var(--color-4);
}

.car-details>div ul>li em {
    font-size: 0.75rem;
}

.car-details>div ul.addons-sum>li {
    font-weight: 600;
}

.car-details>div ul.addons-sum>li span:last-of-type {
    background-color: var(--color-2);
    color: var(--color-5);
}

/* łączny koszt */
.car-details .final-cost {
    display: flex;
    justify-content: space-between;
    align-items: baseline;
    padding: 14px 20px;
    font-size: 0.875rem;
    color: var(--color-5);
    background-color: var(--color-1);
}

#final_value {
    font-weight: 600;
    font-size: 1.75rem;
}

/* # Ubezpieczenia flotowe # */
.page-baner {
    display: none !important;
}

.cf7-container {
    display: grid;
}

.cf7-container :is(h3) {
    margin: 2em 0 1em;
    text-transform: uppercase;
}

.cf7-container .wbt-flex {
    row-gap: 1rem;
    margin-block-end: 1rem;
}

/* nadpisania wlasnego stylu w innym formularzu */
.cf7-container .wbt-flex p:first-child {
    flex-grow: 1;
}

.cf7-container .wbt-flex>* {
    flex: 1;
    font-size: 0.8125rem;
}

.cf7-container .wbt-flex span:is([class*="checkbox"], [class*="radio"]) {
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
}

/* Radio - dodanie ikonek */
.cf7-container .wbt-flex span:is([data-name="radio-rodzaj-pojazdu"], [data-name="radio-przedmiot-leasingu"]) input[type="radio"]+span::after {
    display: inline-block;
    margin-left: 1em;
    width: 17px;
}

.cf7-container .wbt-flex span:is([data-name="radio-rodzaj-pojazdu"], [data-name="radio-przedmiot-leasingu"]) input[type="radio"]:checked+span::after {
    opacity: 0.5;
}

/* ## ubezpieczenia ikonki */

/* ciezarowka */
.cf7-container .wbt-flex span[data-name="radio-rodzaj-pojazdu"] span span:nth-of-type(1) input[type="radio"]+span::after {
    content: url("../img/custom/ico-truck.svg");
}

/* Ciagnik */
.cf7-container .wbt-flex span[data-name="radio-rodzaj-pojazdu"] span span:nth-of-type(2) input[type="radio"]+span::after {
    content: url("../img/custom/ico-truck-self.svg");
}

/* naczepa */
.cf7-container .wbt-flex span[data-name="radio-rodzaj-pojazdu"] span span:nth-of-type(3) input[type="radio"]+span::after {
    content: url("../img/custom/ico-truck-semi-trailer.svg");
}

/* inne */
.cf7-container .wbt-flex span[data-name="radio-rodzaj-pojazdu"] span span:nth-of-type(4) input[type="radio"]+span::after {
    content: url("../img/custom/ico-other.svg");
}

/* ## leasing ikonki */

/* samochód osobowy */
.cf7-container .wbt-flex span[data-name="radio-przedmiot-leasingu"] span span:nth-of-type(1) input[type="radio"]+span::after {
    content: url("../img/custom/ico-car.svg");
}
/* samochód dostawczy */
.cf7-container .wbt-flex span[data-name="radio-przedmiot-leasingu"] span span:nth-of-type(2) input[type="radio"]+span::after {
    content: url("../img/custom/ico-truck.svg");
}
/* maszyna */
.cf7-container .wbt-flex span[data-name="radio-przedmiot-leasingu"] span span:nth-of-type(3) input[type="radio"]+span::after {
    content: url("../img/custom/ico-machine.svg");
}
/* ciągnik siodłowy */
.cf7-container .wbt-flex span[data-name="radio-przedmiot-leasingu"] span span:nth-of-type(4) input[type="radio"]+span::after {
    content: url("../img/custom/ico-truck-self.svg");
}
/* naczepa */
.cf7-container .wbt-flex span[data-name="radio-przedmiot-leasingu"] span span:nth-of-type(5) input[type="radio"]+span::after {
    content: url("../img/custom/ico-truck-semi-trailer.svg");
}
/* spret it */
.cf7-container .wbt-flex span[data-name="radio-przedmiot-leasingu"] span span:nth-of-type(6) input[type="radio"]+span::after {
    content: url("../img/custom/ico-computer.svg");
}
/* motocykle */
.cf7-container .wbt-flex span[data-name="radio-przedmiot-leasingu"] span span:nth-of-type(7) input[type="radio"]+span::after {
    content: url("../img/custom/ico-motorbike.svg");
}
/* inne */
.cf7-container .wbt-flex span[data-name="radio-przedmiot-leasingu"] span span:nth-of-type(8) input[type="radio"]+span::after {
    content: url("../img/custom/ico-other.svg");
}

/* Checkbox - style dedykowany */
.cf7-container .wbt-flex span[class*="checkbox"]>span {
    width: max-content;
}

.cf7-container .wbt-flex span[class*="checkbox"] input[type="checkbox"] {
    display: none;
}

.cf7-container .wbt-flex span[class*="checkbox"] input[type="checkbox"]+span {
    display: block;
    padding: 10px;
    border: solid 1px var(--color-1);
    cursor: pointer;
    transition: var(--transition);
}

.cf7-container .wbt-flex span[class*="checkbox"] input[type="checkbox"]:checked+span {
    background-color: var(--color-1);
    color: #fff;
}

/* LEASING */

/* Input Range - style dedykowane */
#wbt-body form input[type=range] {
    padding: 0 !important;
    border: none;
}

input[type=range] {
    height: 31px;
    -webkit-appearance: none;
    margin: 10px 0;
    width: 100%;
}

input[type=range]:focus {
    outline: none;
}

input[type=range]::-webkit-slider-runnable-track {
    width: 100%;
    height: 16px;
    cursor: pointer;
    animate: 0.2s;
    box-shadow: 0px 0px 0px #000000;
    background: var(--color-1);
    border-radius: 0px;
    border: 0px solid;
}

input[type=range]::-webkit-slider-thumb {
    box-shadow: 0px 0px 0px #000000;
    border: 0px solid #FFFFFF;
    height: 25px;
    width: 49px;
    border-radius: 0px;
    background: #B5C039;
    cursor: pointer;
    -webkit-appearance: none;
    margin-top: -4.5px;
}

input[type=range]:focus::-webkit-slider-runnable-track {
    background: var(--color-1);
}

input[type=range]::-moz-range-track {
    width: 100%;
    height: 16px;
    cursor: pointer;
    animate: 0.2s;
    box-shadow: 0px 0px 0px #000000;
    background: var(--color-1);
    border-radius: 0px;
    border: 0px solid;
}

input[type=range]::-moz-range-thumb {
    box-shadow: 0px 0px 0px #000000;
    border: 0px solid #FFFFFF;
    height: 25px;
    width: 49px;
    border-radius: 0px;
    background: #B5C039;
    cursor: pointer;
}

input[type=range]::-ms-track {
    width: 100%;
    height: 16px;
    cursor: pointer;
    animate: 0.2s;
    background: transparent;
    border-color: transparent;
    color: transparent;
}

input[type=range]::-ms-fill-lower {
    background: var(--color-1);
    border: 0px solid;
    border-radius: 0px;
    box-shadow: 0px 0px 0px #000000;
}

input[type=range]::-ms-fill-upper {
    background: var(--color-1);
    border: 0px solid;
    border-radius: 0px;
    box-shadow: 0px 0px 0px #000000;
}

input[type=range]::-ms-thumb {
    margin-top: 1px;
    box-shadow: 0px 0px 0px #000000;
    border: 0px solid #FFFFFF;
    height: 25px;
    width: 49px;
    border-radius: 0px;
    background: #B5C039;
    cursor: pointer;
}

input[type=range]:focus::-ms-fill-lower {
    background: var(--color-1);
}

input[type=range]:focus::-ms-fill-upper {
    background: var(--color-1);
}

/* rozszerzenie pola na input range */
.cf7-container .wbt-flex.range p {
    font-size: 1rem;
    font-weight: 600;
}
.cf7-container .wbt-flex.range p:last-of-type {
    flex-grow: 2;
}


/* ### TYLKO PC ### */
@media only screen and (min-width:1023px) {

    /* STRONA GŁÓWNA */
    /* Oferta specjalna */
    .wbt-col-right {
        padding-inline-start: 6rem;
    }

    /* Formularze */
    #wbt-body .label-hidden-pc>em:first-of-type {
        display: none;
    }

    /* # Ubezpieczenia flotowe # */
    .cf7-container {
        grid-template-columns: 1fr 1fr;
        gap: 2rem;
    }

    /* komunikat nad przyciskiem */
    .rwd-attention {
        display: none;
    }
}

/* ####   SMARTFONE i TABLET   ### */
@media only screen and (max-width:1023px) {

    /* TOP  */
    /* kontakt i lang */
    #wbt-contact-lang-wrap {
        display: none;
    }

    /* treść kontakt */
    .wbt-contact-menu {
        padding: 15px 10px;
    }

    /* GLOBAL - odsunięcie kontenera z treścią od TOP*/
    #wbt-content,
    #wbt-content-search,
    #wbt-woocomerc-main {
        padding-top: 56px;
    }

    /* BANER */
    .wbt-background-color-baner {
        background-position: center top;
    }

    /* kontener z formularzem */
    .wbt-baner-column div:nth-of-type(2) {
        display: none;
        outline: solid 12px #1a478a;
        outline-offset: -1px;
    }


    /* HEADER - H2 */
    h1.page-title::after,
    h1.wbt-title::after,
    section.related>h2::after,
    h2.wbt-nag::after,
    #wbt-featured-products>h2::after,
    section.up-sells>h2::after {
        margin-left: 10px;
        flex-grow: 1;
    }

    h1.page-title::before,
    h1.wbt-title::before,
    section.related>h2::before,
    h2.wbt-nag::before,
    #wbt-featured-products>h2::before,
    section.up-sells>h2::before {
        min-width: 10px;
        margin-right: 10px;
    }

    /* subtitle pod h2 */
    h2.wbt-nag+p {
        font-weight: 300;
        margin: 0 0 25px 20px;
    }

    /* Kafelki z okresem najmu - oferty */
    .wbt-tiles-offer > div :is(p, em, strong) {
        font-size: 1em;
    }
    #wbt-text-content .wbt-tiles-offer{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 1em;
    }
    .wbt-tiles-offer > div{
        padding: 7vw 2vw;
    }

    /* ikonka auta */
    .wbt-tiles-offer > div p:first-of-type::before {
        height: 25px;
    }

    /* ## LISTA AUTO DO WYNAJĘCIA ## */
    .wbt-grid-list-container {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
    }

    /* W CENIE AUTA OTRZYMUJESZ  */
    #wbt-text-content .wbt-in-car-price {
        gap: 1em;
    }

    #wbt-text-content .wbt-in-car-price>div {
        flex-basis: calc(50% - 1em) !important;
    }

    /* podpis pod ikonką */
    .wbt-in-car-price figure>figcaption {
        font-size: 0.75rem;
    }

    /* OFERTA SPECJALNA */
    /* Wraper dla całej sekcji */
    .special-element {
        grid-template-columns: 1fr;
    }

    /* Oferta specjalna - ikonki */
    .wbt-col-left-ico-section {
        flex-wrap: wrap;
    }

    .wbt-col-left-ico-section>p {
        flex-basis: 100%;
        text-align: center;
    }

    /* Pierwsza ikonkta - dymek aby nie ucinało */
    .wbt-col-left-ico-section li:first-of-type a:hover>span {
        transform: translateX(-10%);
    }

    /* Formularz */
    .wbt-flex {
        flex-direction: column;
        margin-block-end: 1em;
    }

    .wbt-flex-form,
    .wbt-flex-personal-data-vat {
        flex-wrap: wrap;
    }

    input[type="radio"]+span {
        min-width: unset;
    }

    /* SLICK */
    /* Strzałki - wyłączenie*/
    #wbt-body :is(.slick-next, .slick-prev) {
        display: none !important;
    }

    /* FAQ - HARMONIJKI */
    .wbt-accordion-faq {
        gap: 0;
    }

    /* WYNAJEM DŁUGOTERMINOWY */
    h1.wbt-title.flex {
        flex-wrap: wrap;
        gap: 1rem
    }

    /* ##  SZCZEGÓŁY AUTA ## */

    /* grid z treścią i sidebar */
    #wbt-content.car-details {
        flex-wrap: wrap;
    }

    #wbt-content>div {
        order: 2;
        min-width: unset;
    }

    #wbt-content>article {
        order: 1;
    }

    /* Formularz CF7 */
    .wbt-section-first {
        grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
        grid-auto-flow: row;
        padding: 20px 10px;
    }

    :is(.wbt-col-1, .wbt-col-2)>p>label.label-hidden-pc {
        width: 100%;
    }

    :is(.wbt-col-1, .wbt-col-2)>p>label.label-hidden-pc>em {
        font-size: 0.8rem;
    }

    .wpcf7-form-control {
        box-sizing: border-box;
        min-width: calc(100% - 2rem);
        width: 100%;
    }

    /* pakiety */
    #pakiety {
        flex-wrap: wrap;
        gap: 1rem;
    }

    /* opis pakietów */
    #pakiety>span label+div {
        min-height: 200px;
    }

    /* dane osobowe */
    .wbt-flex-personal-data .wpcf7-form-control-wrap {
        width: calc(50% - 5px);
    }

    /* komunikat nad przyciskiem */
    .rwd-attention {
        display: block;
        border: solid 1px var(--color-3);
        font-weight: 600;
        padding: 10px;
        background-color: var(--color-4);
    }

    /* przycisk wyślij */
    #wbt-body input[type="submit"] {
        width: 100%;
    }

}

/* ####   SMARTFONE   ### */

@media only screen and (max-width:767px) {}

/* ####   TABLET   ### */

@media only screen and (min-width:768px) and (max-width:1023px) {}